// This file, which is imported by each theme, is for CSS rules containing SCSS variables for the themes to provide values for.
// CSS rules that are global and themes don't need to provide values for should go into _tiki-miscellaneous_global.scss or one of the more-specific SCSS files.

//@import "_bs3-bs4-transition.scss";
//@import "_tiki-variables.scss";
@use "sass:color";
$imagePathToImgDir: "../../../img/";
@import "../../../node_modules/bootstrap/scss/_mixins.scss"; //
@import "external-scripts"; // Moved from each theme's top file.
//@import "../../../node_modules/bootstrap/scss/_variables.scss";
// @import "../../default/scss/variables"; -- This file (tiki-selectors) is imported by themes after they import tiki-variables, which imports default/scss/variables, so no need to import it here.

// .topbar { margin-bottom: $tiki-topbar-row-margin-bottom; } - topbar is inside a wrapper so shouldn't have its own bottom margin - gary

// Background color for navbar collapse dropdowns (Tiki's aren't .dropdown li).
//.navbar-collapse.collapse.in {
//    background: $navbar-dark-bg;
//}


//.layout_social,
//.layout_social_modules {
    .navbar-dark > a {
    color: $navbar-dark-color;
    &:hover {
        color: $navbar-dark-hover-color;
        text-decoration: none;
    }
    }
    .navbar-dark .sitetitle a {
    color: $navbar-dark-brand-color;
    &:hover {
        color: $navbar-dark-hover-color;
        text-decoration: none;
    }
    }
//}

// h3 heading in modules
.module h3.card-title { font-size: $tiki-module-h3-card-title-font-size; }

//fullcalendar.js
a.ec-event:hover {
    color: $tooltip-color;
}

// Full Calendar table header needs to have color mode compatible body bg color
.ec-media-screen {
    --fc-page-bg-color: var(--bs-body-bg);
}

// tiki-categories.less - tiki-jquery.js - Doesn't show up in a search Apr 21 2024
// /* Fancy filter */
//.filter {
//    .fancyfilter {
//        border: thin solid $primary; /*black*/;
//        .token {
//            background: var(--bs-body-bg);
//            border: 1px solid $gray-200;
//            font-size: 11px;
//            padding: 3px;
//        }
//    }
//}

// tiki-comments.less - tiki-jquery.js
.note-list .postbody-title {
    background: var(--bs-body-bg); // /*#ccc*/
    color: var(--bs-body-color); // /*#000*/
}

// Comments moderation - comment.tpl, tiki-list_comments.tpl
.post-approved-n {
    border-left: 3px dotted $success; // blue
}

.post-approved-r {
    border-left: 3px double $warning; // red
}

.post-approved-r .content * {
    background: url('#{$imagePathToImgDir}icons/dots.gif');
}

// - Doesn't show up in a search Apr 21 2024
//#topbar_modules_social .form-control { margin-top: 0.5rem; }
//
// tiki-file_galleries.less
//.thumbinfosothers {
//    color: $gray-200; // #888
//}

table.treetable.objectperms td.added {
    background-color: $success; // #dfd
}

table.treetable.objectperms td.removed {
    background-color: $warning; // #fdd
}

// tiki-js.js, browse_file_gallery.tpl
//.thumbnailcontener {
//    border: solid 1px $thumbnail-border; // #d3d3d3
//}

// jquery-tiki/files.js
.progressBarInProgress {
    background-color: $info;
    color: $white;
}

.progressBarComplete {
    background-color: $success;
    color: $white;
}

.progressBarError {
    background-color: $warning;
    color: $white;
}

.progressContainer {
    border: solid 1px $modal-content-border-color;
    background-color: $modal-content-bg;
}

// tiki-forums.less -- Not found in search Apr 23 2024
//* Forum filter collapsible panel. Adds +/-*/
//.filter-panel-heading a:after {
//    color: $gray-500;
//}

// tiki-maps.less
//.olControlMousePosition {
//    background: rgba(0, 0, 0, 0.75);
//    color: var(--bs-body-bg); // #fff
//}
//
//.olControlScaleLineTop,
//.olControlScaleLineBottom {
//    background-color: rgba(255, 255, 255, 0.5);
//}
//
//.ui-selectmenu-icon {
//    background-color: inherit;
//    border: solid 5px transparent !important;
//    -webkit-box-shadow: -5px 0 5px 2px rgba(0, 0, 0, .1), -1px 0 0 rgba(0, 0, 0, .1), -2px 0 0 rgba(255, 255, 255, .25);
//    box-shadow: -5px 0 5px 2px rgba(0, 0, 0, .1), -1px 0 0 rgba(0, 0, 0, .1), -2px 0 0 rgba(255, 255, 255, .25);
//}
//
// tiki-minor_features.less
//.dirsitetrail {
//    color: $breadcrumb-bg; // lightgray
//}
//
//.dirsitecats {
//    color: $breadcrumb-bg; // lightgray
//}
//
//#resultzone > div:hover {
//    background: $success;
//}

// tiki-miscellaneous_global.less
//.searchresults blockquote em,
//.highlight,
//.btn-primary.highlight a,
//.btn-primary a.highlight {
//    background: $danger;
//    color: $white;
//    border-color: darken($danger, 10%);
//}
//
//.btn-primary.highlight:hover {
//    background: darken($danger, 15%);
//}
//
//.btn.active {
//    &.btn-link {
//        color: darken($link-color, 5%);
//        text-decoration: underline;
//        background-color: transparent;
//        border-color: transparent;
//        &:hover {
//            color: $link-hover-color;
//            background-color: transparent;
//            border-color: transparent;
//        }
//    }
//}
//
//.btn-primary:focus {
//    color: color-yiq($primary);
//}

// Ajax, jquery. etc.
// Ajax Loading Overlay
#ajaxLoadingBG {
    background: transparent url('#{$imagePathToImgDir}overlay-light.png');
}

#ajaxLoading {
    color: $gray-300;
    background: transparent url('#{$imagePathToImgDir}loading-light.gif') no-repeat 50% 50%;
}

// cookie consent style
#cookie_consent_div {
    padding: $alert-padding-x $alert-padding-y;
    border: 1px solid darken($info, 10%);
    color: $white;
}

#cookie_consent_div.banner {
    padding: $alert-padding-x $alert-padding-y;
    border: 1px solid $info;
}

#cookie_consent_div .description a {
    color: color.adjust($primary, $hue: 30deg);
    font-weight: bold;
}

// print mode only - to make sure print templates will use and print on seamless white bg color
html#print,
body.print * { // wiki page print view
    background: #ffffff;
    color: #000000;
}

body.fullscreen {
    background: var(--bs-body-bg);
}

.attention {
    color: $danger;
}

#debugconsole {
    background: rgba(lighten($body-bg, 30%), 0.9); // Todo - what's the way to specify backgrounds?
    //The following 4 uses of $navbar-light-color used to be rgba($navbar-light-color, 0.9), which doesn't compile (mix of native css rgba and sass, which doesn't compile.  The problem is in the declarations of navbar-light-color, but there are 4 per themes, and I didn't want to touch that many just for the debug console.  Replacing rgba values by proper color.adjust is a wider discussion.  In the meantime if someone wants to restore transparency in the debug console, it'S own color will have to be assigned.  benoitg - 2023-11-08;
    color: $navbar-light-color;
    border: 2px solid $navbar-light-color;
}

#debugconsole form {
    color: $navbar-light-color;
}

#debugconsole a {
    color: $navbar-light-color
}

#debugconsole a.btn {
    color: $navbar-light-color;
}

// Input fields auto-fill/
// Webkit-based browser specific (Google Chrome, Chromium, etc.)
input:-webkit-autofill {
    background-color: $input-bg !important; /* needs important because Chrome has it already important */
    background-image: none !important;
    color: $input-color !important; /* the Google guys forgot the number-one rule... when they specify background they should specify forgeround color too ;) */
}

// ColorBox
#cboxTitle {
    background-color: var(--bs-body-bg);
}

#captchaImg {
    border: 1px solid $border-color;
}

// tiki-modal_and_managestream.less
form.simple label.error {
    background: url('#{$imagePathToImgDir}icons/error.png') no-repeat 0 4px;
    color: $danger;
}

form.simple label .warning {
    color: $danger;
}

.tiki-modal .mask {
    background-color: var(--bs-body-bg);
}

.ui-dialog {
    background: var(--bs-body-bg);
    color: var(--bs-body-color);
}

.box-switch_lang .box-data img.highlight {
    border: .1em solid $danger;
}

.box-switch_lang .box-data .highlight {
    border: .1em solid $danger;
}

.box-switch_lang .flags .highlight {
    border: solid 1px $info;
}

//div.cvsup { Why specify a color for this? a) It's just module content. b) The color context may not be clear so causes problems. -- g_c-l
//    color: $gray-300;
//}

//.fixed-top,
//.layout_social .topbar_modules,
//.layout_social_modules .topbar_modules {
//    h1.sitetitle > a,
//    h2.sitesubtitle {
//        color: $navbar-dark-color;
//    }
//    .navbar-inverse .navbar-collapse,
//    .navbar-inverse .navbar-form,
//    .navbar-inverse {
//        border-color: transparent;
//    }
//}
//
.navbar-light {
    .dropdown-toggle,
    a.nav-link.dropdown-toggle
//    h1.sitetitle a,              Styled by CSS variables or fallback to navbar-brand class (here and the 3 elements commented out below.)
//    h2.sitesubtitle
        {
    color: $navbar-light-color
    }
}

.navbar-dark {
    .dropdown-toggle,
    a.nav-link.dropdown-toggle
//    h1.sitetitle a,
//    h2.sitesubtitle
         {
    color: $navbar-dark-color
    }
}



// tiki-mytiki.less
// /***** Messages *****/
//.prio1,
//.prio2,
//.prio3,
//.prio4,
//.prio5 {
////    border: 1px solid $panel-default-border;
//}

.prio5 {
//    background: inherit;
    color: var(--bs-body-color);
    a { color: var(--bs-body-color); }
}

.prio4 {
//    background: $success;
    color: $success;
//    border: $success;
    a {
        color: $success;
    }
}

.prio3 {
//    background: $info;
    color: $info;
//    border: 1px solid $info;
    a {
        color: $info;
    }
}

.prio2 {
//    background: $warning;
    color: $warning;
//    border: $warning;
    a {
        color: $warning;
    }

}

.prio1 {
//    background: $danger;
    color: $danger;
//    border: $danger;
    a {
        color: $danger;
    }
}

.messureadflag {
    background: $gray-500;
}

.messureadhead {
    background: $gray-500;
}

.messureadbody {
    background: $gray-300;
}

.readlink {
    color: var(--bs-body-color); // black;
}

// /* webmail & groupmail */ -- Maybe old code - not found in search April 21 2024
//.webmail_item {
//    font-size: 0.8rem;
//}
//
//.webmail_list .odd {
//    background: $table-accent-bg;
//}
//
//// extra small buttons
//.webmail_list .btn {
//    padding: 0.2rem 0.4rem;
//    font-size: 0.7rem;
//    line-height: 1.3;
//}
//
//.webmail_list .webmail_read {
//}
//
//.webmail_list .webmail_replied {
//}
//
//.webmail_list .webmail_taken {
//}
//
//.webmail_message {
//}
//
//.webmail_message_headers {
//}
//
//.webmail_message_headers th {
//}

// tiki-sheets.less
.tiki_sheet table td {
    // /* override .tabcontent table td */
    border: 1px solid $border-color;
}

// /* odd and even classes for tr, td, and li */
.odd {
    background: $table-bg;
    color: var(--bs-body-color);
}

.even {
    background: $table-accent-bg;
    color: var(--bs-body-color);
}

// odd checkbox columns
.objectperms .checkBoxHeader:nth-of-type(odd) > div > label,
.objectperms td.checkBoxCell:nth-of-type(odd),
.objectperms .checkBoxHeader:nth-of-type(odd) > .checkBoxLabel { background: $tiki-table-column-bg-odd; }

// tiki-toolbars.less
.helptool-admin {
    // /* right justified section of toolbars */
    border-left: medium double var(--bs-border-color);
}

.toolbar-list {
    border-left: medium double var(--bs-border-color); //$gray-200;
}

.toolbars-picker {
    //    /* colours, smilies etc */
    background: var(--bs-body-bg);
    border: thin solid var(--bs-body-color);
    color: var(--bs-body-color);
}

.toolbars-picker a {
    border: 1px solid var(--bs-body-bg);
    color: var(--bs-body-color);
}

.toolbars-picker a:hover {
    border: 1px solid $danger;
    background: $gray-300;
    color: var(--bs-body-color);
}

// /* New Toolbars */
.textarea-toolbar > div,
.textarea-toolbar > ul {
    background-color: var(--bs-secondary-bg); //$body-secondary-bg; //$gray-200;
    border: outset 1px var(--bs-border-color); // $gray-200;
}

a.toolbar,
li.toolbar,
.textarea-toolbar a.toolbar {
    /* each tool button */
    border: none;
    background: transparent;
    color: var(--bs-body-color);
    text-shadow: 1px 1px 4px rgba(0,0,0,.2);
}

a.toolbar:hover,
li.toolbar:hover {
    color: var(--bs-tertiary-color); //lighten($body-color, 25%);
    text-shadow: -1px -1px 4px rgba(0,0,0,.2);
}

a.toolbar:active,
li.toolbar:active {
    color: $danger;
    text-shadow: 2px 2px 4px rgba(0,0,0,.5);
}

.textarea-toolbar .emoji-picker {
    position: absolute;
}


// tiki-translation.less
#intertrans-indicator {
    background-color: $tiki-intertrans_background;
    color: $success;
}

#intertrans-form {
    background-color: $card-bg;
    border: 1px solid $card-border-color;
    color: var(--bs-body-color);
}

#edit_translations tr.last {
    border-bottom: 2px solid $success;
}

ul.all_languages > li {
    border: 1px solid $success;
}

// /* mouseover plugin */
.plugin-mouseover {
    background: $popover-bg;
    border: 1px solid $popover-border-color;
}

// /* wikiplugin_tracker */
.mandatory_note {
    color: $danger;
}

// /* page contribution by author / wikiplugin_author */
.author0 {
    color: $success;
}

.author1 {
    color: $info;
}

.author2 {
    color: $info;
}

.author3 {
    color: $danger;
}

.author4 {
    color: adjust-hue($success, 50);
}

.author5 {
    color: adjust-hue($info, 70);
}

.author6 {
    color: adjust-hue($warning, 50);
}

.author7 {
    color: adjust-hue($danger, 50);
}

.author8 {
    color: adjust-hue($success, 100);
}

.author9 {
    color: adjust-hue($info, 100);
}

.author10 {
    color: adjust-hue($warning, 100);
}

.author11 {
    color: adjust-hue($danger, 100);
}

.author12 {
    color: adjust-hue($success, 170);
}

.author13 {
    color: adjust-hue($info, 140);
}

.author14 {
    color: adjust-hue($warning, 160);
}

.author15 {
    color: adjust-hue($danger, 160);
}

.structuremenu .menuSection {
    border-left: 1px dotted $gray-500;
}

.tiki_plugin {
    background-color: transparent; // /* was #f8f8f8; */
    border: 1px solid $gray-300;
}

.unsavedChangesInEditor {
    border: 1px solid;
    border-color: $warning;
}

// /* Auto TOC */
#autotoc .nav-link.active,
#autotoc .nav-link.active:hover,
#autotoc .nav-link.active:focus {
    border-left-color: $primary !important;
}

#autotoc .nav > li > a:hover,
#autotoc .nav > li > a:focus {
    border-left-color: $secondary !important;
}

.autotoc > .nav {
    background: $card-bg;
    border: 1px solid $card-border-color;
    border-radius: $border-radius;
}

.autotoc * {
    color: var(--bs-link-color);
}

.autotoc .nav > li > a:hover,
.autotoc .nav .nav > li > a:hover {
    color: var(--bs-link-hover-color);
//    background: $navbar-dark-link-hover-bg;
}

.plugin-form-float {
    background: var(--bs-body-bg);
    color: var(--bs-body-color);
    border: solid 2px var(--bs-body-color);
}

.editable-inline {
    padding-right: 20px;
    display: inline-block;
    .icon {
        font-size: small;
        margin-left: 0.4rem;
    }
}

.editable-inline.loaded {
    width: 100%;
    background: $popover-bg;
    padding: 6px;
    border: 1px solid #eee;
    border-radius: 4px;
    z-index: 2;
}

.editable-inline.failure {
    .icon {
        opacity: 50%;
    }
}

.editable-inline.modified {
    border: solid 2px $danger;
    padding: 2px;
}

.editable-inline.unsaved {
    border: solid 2px $danger;
}

// .admintoclevel .actions input {
//     border: solid 1px $gray-500;
// }

// /* Fullscreen textareas */
.TextArea-fullscreen,
.CodeMirror-fullscreen {
    &, & .edit-zone-footer {
        background-color: var(--bs-body-bg);
    }
}

.TextArea-fullscreen .actions,
.CodeMirror-fullscreen .actions {
    background-color: var(--bs-body-bg);
    border-top: $gray-300 1px solid;
}

// /* Autosave Preview handle */
#autosave_preview {
    background-color: var(--bs-body-bg);
    color: var(--bs-body-color);
}

#autosave_preview_grippy {
    background-color: $gray-300;
    background-image: url('#{$imagePathToImgDir}icons/shading.png');
}

// /* Namespace styling */
.wiki .namespace {
    background: $gray-300;
}

.site_report a {
    border-left: 1px solid $gray-500;
    border-right: 1px solid $gray-500;
}

.quotebody {
    border-left: 2px solid $gray-300;
}

// /* wikiplugin tracker */
.mandatory_star {
    color: $danger;
    font-size: 120%;
}

.trackerplugindesc {
    color: $gray-800;
}

// /* img plugin */ wikiplugin_img.php, article.tpl
.imgbox {
    border: 1px solid $popover-border-color;
    background-color: $popover-bg;
}

//.ic_caption { Commented pending color organization of navbar options.
//    background: $navbar-dark-bg;
//    color: $navbar-dark-color;
//}

.wp-cookie-consent-required {
    color: $danger;
}

// PluginSign
.tooltip-inner {
    color: $tooltip-color;
    background-color: $tooltip-bg;
    a,
    a:visited {
        color: var(--tiki-tooltip-link-color); //adjust-hue($tooltip-color, 30%);
        &:hover {
            color: var(--tiki-tooltip-link-hover-color); //adjust-hue($tooltip-color, 45%);
            text-decoration: none;
        }
    }
}

// /* TOC */
.toc {
    border-top: 1px dotted $gray-300;
    border-bottom: 1px dotted $gray-300;
}

// /* Wiki diff styles */
.diff td {
    border: 1px solid $gray-700;
}

.diff div {
    border-top: 1px solid $gray-300;
}

.diffadded {
    background: $success;
    --bs-table-bg: #{$success}; // These need to be specified to override :root --bs-table-bg .
    color: lighten($success,50%);
    word-break: break-word;
}

.diffdeleted {
    background: $danger;
    --bs-table-bg: #{$danger};
    color: lighten($danger,50%);
    word-break: break-word;
}

.diffadded a,
.diffadded a:hover {
    color: lighten($success,100%);
}

.diffdeleted a,
.diffdeleted a:hover {
    color: lighten($danger,100%);
}

.diffinldel {
    background: $warning;
}

.diffbody {
    background: $gray-200;
    --bs-table-bg: #{$gray-200};
    color: $gray-700;
}

.diffchar {
    color: lighten($danger, 50%);
}

.diffadded .diffchar {
    color: lighten($success, 50%);
}

// diff email converts <ins> and <del> to spans for better rendering
span.diffchar.inserted {
    text-decoration: underline;
}

span.diffchar.deleted {
    text-decoration: line-through;
}

.highlight_word {
    font-size: bold;
}

//.searchresults blockquote em.hlt1,
//.searchresults blockquote em.hlt6,
.highlight_word_0 {
   color: $white;
   background: $success;
}

//.searchresults blockquote em.hlt2,
//.searchresults blockquote em.hlt7,
.highlight_word_1 {
   color: $white;
   background: $info;
}

//.searchresults blockquote em.hlt3,
//.searchresults blockquote em.hlt8,
.highlight_word_2 {
   color: $white;
   background: $warning;
}

//.searchresults blockquote em.hlt4,
//.searchresults blockquote em.hlt9,
.highlight_word_3 {
   color: $white;
   background: $danger;
}

//.searchresults blockquote em.hlt5,
//.searchresults blockquote em.hlt10,
.highlight_word_4 {
   color: $white;
   background: adjust-hue($danger, 20);
}

/* Structures drill-down menu */
div.drillshow {
    border: 1px solid $gray-300;
}

// Breadcrumb
.breadcrumb {
    font-style: $tiki-breadcrumb-font-style; // italic;
 //   font-size: $breadcrumb-font-size; // 90%; Defined by Bootstrap variable
//    display: $breadcrumb-display; // block;
}

// jQuery-UI
.tiki .ui-widget-content,
span.plugin-mouseover {
    background: $modal-content-bg;
    color: var(--bs-body-color);
    border: 1px solid $modal-content-border-color;
}

.tiki .ui-widget-header {
    background: $modal-content-bg;
    color: var(--bs-body-color);
    border-color: $modal-content-border-color;
}

.tiki .ui-dialog-content {
    background: $modal-content-bg;
    color: var(--bs-body-color);
    select,
    input,
    optgroup,
    textarea {
        background: $input-bg;
        color: $input-color;
    }
}

.tiki .ui-widget button {
    color: $primary;
    border: 1px solid $primary;
    background-color: $white;
    border-radius: 0.25rem;
}

.tiki .ui-dialog-buttonset button:hover {
    background-color: $primary;
    color: $white;
}
.tiki .ui-dialog-titlebar-close {
    border-color: $dark !important;
    color: $dark !important;
}
.tiki .ui-dialog-titlebar-close::before {
    content: 'X';
    position: relative;
    top: -3px;
    font-weight: bold;
}

.tiki .ui-menu-item-wrapper:hover {
    text-decoration: underline;
}

.tiki.tiki-listpages {
    .ui-widget.ui-widget-content {
        border: 1px solid $border-color;
        background: $input-bg;
        color: $input-color;
        .ui-menu-item-wrapper {
            padding: 0.25rem 0.25rem 0.25rem 1.5rem;
        }
        .ui-state-active {
            margin: 0;
            background: var(--bs-link-color);
            color: white;
            border: none;
        }
    }
}

// Example: tracker field type "icon". Bootstrap modal with jquery-ui contents
.tiki .modal-content .ui-state-default { color: $tiki-modal-link-color; }
.tiki .modal-content .ui-state-hover:hover
//.tiki .modal-content .ui-state-focus,
//.tiki .modal-content .ui-widget-content .ui-state-focus,
//.tiki .modal-content .ui-widget-content .ui-state-focus:hover
 { color: $tiki-modal-link-hover-color; }

// Commented out 11/28/2022 by gary for being due broad
// To correct login dropdown color
//.dropdown-menu { color: $dropdown-link-color; }

// Could be reinstated but in 2024 this looks retro to me. -g_c-l
//.tiki .col1 .table-responsive .table { // border should be on the table itself, not the containing div - g_c-l
//    border: 1px solid $table-border-color; // Changed from $card-border-color; why not use closest class?
//}

//
// See tiki-wikipages_and_plugins for commented-out selectors
.codecaption {
//    display: inline-block;
    color: $code-color;
    background: $code-bg;
    border: 1px solid $code-color;
//    border-bottom: none;
//    padding: 2px 9.5px;
//    font-size: 0.8em;
//    font-weight: bold;
}

code,
pre.codelisting, .CodeMirror.codelisting {
    color: var(--tiki-code-color); //$code-color;
    background: var(--tiki-code-bg); // $code-bg;
    border: $border-width solid $border-color;
    padding: $kbd-padding-y $kbd-padding-x;
    border-radius: $border-radius;
}
code {
    border-radius: $border-radius-sm;
}

//pre.codelisting code {
//    color: inherit;
//    white-space: pre-wrap;
//}




// Make hierarchical arrangement of admin options more clear
.adminoptionboxchild {
    border-bottom: 1px solid $hr-color;
    legend {
        font-size: $tiki-secondary-legend-font-size;
    }
}

// Make links in highlighted adminoptions visible with nice contrast
div.highlight.adminoptionbox a {
    color: color-contrast($danger) !important; // returns color contrast to danger color
}

// Admin navbar switch

input[type="checkbox"].preffilter-toggle-round + label {
    background-color: $gray-300;
}

input[type="checkbox"].preffilter-toggle-round + label:before {
    color: $input-color;
    background-color: $input-bg;
    //    border-color: darken($input-bg, 10%);  - Causes SCSS compile error when using Bootstrap 5.3 alpha 3 ( BS53 ); no apparent visible effect from commenting this out. g_c-l
}

input[type="checkbox"].preffilter-toggle-round + label:after {
}

// Method based on https://codepen.io/davidhalford/pen/wlDxL
input[type="checkbox"].preffilter-toggle-round:checked + label:before {
    background-color: $success;
    border-color: darken($primary, 10%);
    $n: $success;
    $color-brightness: round((red($n) * 299) + (green($n) * 587) + (blue($n) * 114) / 1000);
    $light-color: round((red(#ffffff) * 299) + (green(#ffffff) * 587) + (blue(#ffffff) * 114) / 1000);

    @if abs($color-brightness) < calc($light-color/2){
        color: white;
    }

    @else {
        color: black;
    }
    }

//jQuery-ui
.tiki .ui-widget {
    font-family: $font-family-base;
    font-size: var(--bs-font-size-base); // $font-size-base;
}

// Hack to give .btn-secondary color to the "Files" button in tiki-page_bar.tpl.
.btn-primary.btn-files {
    @include button-variant($secondary, $secondary, $secondary);
}

// code for the design of the checkbox for interactive translation

.intertrans {
    .slider {
        //Instead of the line below you could use @include box-shadow($shadow-1, $shadow-2, $shadow-3, $shadow-4, $shadow-5, $shadow-6, $shadow-7, $shadow-8, $shadow-9, $shadow-10)
        box-shadow: 0 0 0 2px $tiki-color_pigeon_post_approx, 0 0 4px $tiki-color_bright_gray_approx;
        &:before {
            background: $tiki-color_picton_blue_approx;
        }
    }
    input:checked + .slider {
        //Instead of the line below you could use @include box-shadow($shadow-1, $shadow-2, $shadow-3, $shadow-4, $shadow-5, $shadow-6, $shadow-7, $shadow-8, $shadow-9, $shadow-10)
        box-shadow: 0 0 0 2px $tiki-color_gray_suit_approx,0 0 2px $tiki-color_zircon_approx;
        &:before {
            background: $tiki-color_pizazz_approx;
        }
    }
}

blockquote {
//    color: $tiki-blockquote-color; // #7a7a7a; -- for Tiki 26, renamed and commented out due to color modes; themes can style it if they like.
    border-left: .25rem solid $tiki-blockquote-left-border-color; //#e5e5e5;
}

.to-translate{
    color : $danger;
}

// Smartmenus megamenu
.dropdown-menu.mega-menu a { color: var(--bs-dropdown-link-color); }
//a.dropdown-item { color: $dropdown-link-color; }

// Navbar background color consistency - Themes where this is a problem should import _tiki-pagetop_colors.scss
//.bg-light-parent {
//    background: $light;
//}
//.bg-dark-parent {
//    background: $dark;
//}

.fileupload {
    border: 3px dashed;
    border-radius: 8px;
    padding: 8px;
}

.fileupload.active {
    padding: 4px;
    background-color: var(--bs-backdrop-bg);
}

.side-col-toggle { z-index: 2; }
.tiki .side-col-toggle + #col1 {
    margin-top: $tiki-top-margin-compensation-for-side-col-toggle;
    padding-top: $line-height-base;
}

// Tiki new profiles
.profile-left-bar .profile-avatar img {
    margin-bottom: $padding-y;
    max-width: 100%;
}
.profile-left-bar .profile-username {
    font-size: $font-size-lg;
}
.profile-right-bar .profile-buttons .btn {
    width: 100%;
    margin-bottom: ceil($line-height-base * 2);
}
.profile-right-bar button.add-friend {
    width: 100%;
    margin-top: ceil($line-height-base * 2);
}
.profile-tab-content h2{
    margin-top:0;
}

// Smartmenus
:root {
    --bs-dropdown-item-padding-y: 10px;
    --sm-collapsible-navbar-border-width: var(--bs-border-width);
    --sm-collapsible-navbar-border-style: var(--bs-border-style);
    --sm-collapsible-navbar-border-color: var(--bs-border-color);
    --sm-collapsible-navbar-padding-y: var(--bs-dropdown-item-padding-y);
    --sm-collapsible-navbar-padding-x: var(--bs-dropdown-item-padding-x);
    --sm-collapsible-navbar-bg: var(--bs-dropdown-bg);
    --sm-collapsible-navbar-color: var(--bs-dropdown-color);
    --sm-collapsible-navbar-text-shadow: ;
    --sm-collapsible-navbar-box-shadow: ;
    --sm-dropdowns-sub-toggler-icon-size: 0.45rem;
    --sm-dropdowns-sub-toggler-icon-spacing:0.4rem ;
    --sm-dropdowns-sub-toggler-split-icon-spacing: 0.4rem;

    --sm-collapsible-nav-link-padding-y: var(--bs-dropdown-item-padding-y);
    --sm-collapsible-nav-link-padding-x: 12px;
    --sm-collapsible-nav-link-border-radius: ;
    --sm-collapsible-nav-link-bg: ;
    --sm-line-height: ;

    --sm-collapsible-sub-toggler-icon-size: 0.6rem;
    --sm-collapsible-sub-toggler-icon-spacing: 0.45rem;
    --sm-collapsible-sub-toggler-color: currentcolor;
    --sm-collapsible-sub-toggler-opacity: 0.7;
}

:root .sm-nav-link {
    --sm-dropdowns-nav-link-font-weight: var(--bs-nav-link-font-weight);
    --sm-font-family: var(--bs-body-font-family);
    --sm-dropdowns-nav-link-padding-y: 0.5rem;
    --sm-dropdowns-nav-link-padding-x: 0.5rem;
}

.sm-toggler-anchor {
    display: block;
    color: currentcolor !important;
}

.sm-toggler-anchor--hide {
    display: none;
}

.sm-toggler {
    display: inline-block;
    position: relative;
}

.sm-navbar:not(.sm-navbar--dropdowns-only).sm-navbar {
    --sm-collapsible-navbar-bg: var(--bs-dropdown-bg);
}

.sm-sub-toggler::after {
    --sm-sub-toggler-icon-size: 0.7rem;
    --sm-sub-toggler-icon-spacing: 0.4rem;
    --sm-sub-toggler-split-icon-spacing: 0px;
    content: "+";
    display: inline-block;
    margin-left: var(--sm-sub-toggler-icon-spacing);
    width: var(--sm-sub-toggler-icon-size);
    height: var(--sm-sub-toggler-icon-size);
    line-height: var(--sm-sub-toggler-icon-size);
    text-align: center;
}

.sm-navbar--vertical.sm-navbar--dropdowns-only .sm-sub--mega {
    left: auto;
    right: auto;
    top: 0;
    bottom: 0;
}

@media (max-width: 767.98px) {
    .sm-navbar:not(.sm-navbar--dropdowns-only) .sm-toggler-anchor {
        padding: var(--sm-collapsible-nav-link-padding-y) var(--sm-collapsible-nav-link-padding-x);
        line-height: var(--sm-line-height);
        text-shadow: none;
    }
    .sm-navbar:not(.sm-navbar--dropdowns-only) .sm-sub-toggler::after {
        --sm-sub-toggler-icon-size: var(--sm-collapsible-sub-toggler-icon-size);
        content: "" !important;
        margin: 0 var(--sm-collapsible-sub-toggler-icon-spacing) !important;
        margin-top: calc(-0.5* var(--sm-collapsible-sub-toggler-icon-size)) !important;
        border-style: solid;
        border-width: 0 0 2px 2px;
        border-color: var(--sm-collapsible-sub-toggler-color);
        opacity: var(--sm-collapsible-sub-toggler-opacity);
        transform: rotate(-45deg);
    }
    .sm-navbar:not(.sm-navbar--dropdowns-only).sm-navbar {
        border-width: var(--sm-collapsible-navbar-border-width);
        border-style: var(--sm-collapsible-navbar-border-style);
        border-color: var(--sm-collapsible-navbar-border-color);
        padding: var(--sm-collapsible-navbar-padding-y) var(--sm-collapsible-navbar-padding-x);
        background: var(--sm-collapsible-navbar-bg);
        color: var(--sm-collapsible-navbar-color);
        text-shadow: var(--sm-collapsible-navbar-text-shadow);
        box-shadow: var(--sm-collapsible-navbar-box-shadow);
        --sm-navbar-sidebar-centered-padding-x: var(--sm-collapsible-navbar-padding-x);
    }
    .sm-navbar:not(.sm-navbar--dropdowns-only) .sm-expanded.sm-sub-toggler::after {
        margin-top: calc(0.5* var(--sm-collapsible-sub-toggler-icon-size)) !important;
        transform: rotate(-225deg);
    }
    .sm-navbar:not(.sm-navbar--dropdowns-only) .sm-nav-link {
        grid-area: link / link / link / link-split-toggler;
        border-radius: var(--sm-collapsible-nav-link-border-radius);
        padding: var(--sm-collapsible-nav-link-padding-y) var(--sm-collapsible-nav-link-padding-x);
        background: var(--sm-collapsible-nav-link-bg);
        color: var(--sm-collapsible-nav-link-color);
        font-family: var(--sm-font-family);
        font-size: var(--sm-font-size);
        font-weight: var(--sm-collapsible-nav-link-font-weight);
        line-height: var(--sm-line-height);
        text-decoration: none;
    }
    .sm-navbar:not(.sm-navbar--dropdowns-only) .sm-sub-toggler::after {
        --sm-sub-toggler-icon-size: var(--sm-collapsible-sub-toggler-icon-size);
        content: "" !important;
        margin: 0 var(--sm-collapsible-sub-toggler-icon-spacing) !important;
        margin-top: calc(-0.5* var(--sm-collapsible-sub-toggler-icon-size)) !important;
        border-style: solid;
        border-width: 0 0 2px 2px;
        border-color: var(--sm-collapsible-sub-toggler-color);
        opacity: var(--sm-collapsible-sub-toggler-opacity);
        transform: rotate(-45deg);
    }
}

@media (min-width: 768px) {
    .sm-navbar:not(.sm-navbar--collapsible-only) .sm-sub .sm-sub-toggler::after, .sm-navbar:not(.sm-navbar--collapsible-only).sm-navbar--vertical .sm-sub-toggler::after {
        margin-top: 0;
        transform: rotate(225deg);
    }
    .sm-navbar:not(.sm-navbar--collapsible-only) .sm-sub-toggler::after {
        --sm-sub-toggler-icon-size: var(--sm-dropdowns-sub-toggler-icon-size);
        --sm-sub-toggler-icon-spacing: var(--sm-dropdowns-sub-toggler-icon-spacing);
        --sm-sub-toggler-split-icon-spacing: var(--sm-dropdowns-sub-toggler-split-icon-spacing);
        content: "" !important;
        margin-top: calc(-0.5* var(--sm-dropdowns-sub-toggler-icon-size));
        border-style: solid;
        border-width: 0 0 2px 2px;
        border-color: var(--sm-dropdowns-sub-toggler-color);
        opacity: var(--sm-dropdowns-sub-toggler-opacity);
        transform: rotate(-45deg);
    }
    .sm-navbar:not(.sm-navbar--collapsible-only).sm-navbar--drop-reverse-y:not(.sm-navbar--vertical) .sm-nav-item:not([data-sm-drop-reverse-y]) .sm-nav-link.sm-sub-toggler::after {
        margin-top: calc(0.5* var(--sm-dropdowns-sub-toggler-icon-size));
        transform: rotate(-225deg);
    }
    .sm-navbar:not(.sm-navbar--collapsible-only).sm-navbar--drop-reverse-y:not(.sm-navbar--vertical) .sm-nav-item:not([data-sm-drop-reverse-y]) .sm-nav-link.sm-sub-toggler::after {
        margin-top: calc(0.5* var(--sm-dropdowns-sub-toggler-icon-size));
        transform: rotate(-225deg);
    }
    .sm-navbar--vertical .sm-sub--mega {
        left: auto;
        right: auto;
        top: 0;
        bottom: 0;
    }
}

@media (min-width: 768px) {
    .sm-navbar:not(.sm-navbar--collapsible-only) .sm-nav-link {
        /*     grid-area: link / link / link / link-split-toggler;
             border-radius: var(--sm-dropdowns-nav-link-border-radius);
             padding: var(--sm-dropdowns-nav-link-padding-y) var(--sm-dropdowns-nav-link-padding-x);
             background: var(--sm-dropdowns-nav-link-bg);
             color: var(--sm-dropdowns-nav-link-color);
             font-family: var(--sm-font-family);
             font-size: var(--sm-font-size);
             font-weight: var(--sm-dropdowns-nav-link-font-weight);
             line-height: var(--sm-line-height);
             text-decoration: none; */
    }
}


[data-bs-theme=dark] .sm-navbar {
    --sm-dropdowns-navbar-bg: var(--bs-tertiary-bg);
    --sm-collapsible-nav-link-color: var(--bs-link-color);
    --sm-collapsible-sub-first-level-bg: #000;
 //   .sm-sub-link dropdown-item sm-sub-toggler sm-has-sub
    --sm-collapsible-sub-link-color: var(--bs-link-color);
    --sm-dropdowns-sub-bg: var(--bs-body-bg);
}



// -------------

:root {
    --tiki-navbar-dark-color: #{$navbar-dark-color}; // The Bootstrap variable wasn't being defined.
}